Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 434332 - >=dev-lang/ruby-1.9.3 LICENSE needs to be updated
Summary: >=dev-lang/ruby-1.9.3 LICENSE needs to be updated
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Ruby Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-08 13:10 UTC by Ulrich Müller
Modified: 2017-07-23 07:26 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Müller gentoo-dev 2012-09-08 13:10:01 UTC
The ebuilds of >=dev-lang/ruby-1.9.3 have LICENSE="|| ( Ruby BSD-2 )", but the Ruby license file contains the following note:
╓────
║ This is the old version of the Ruby license which was used up until the
║ release of the 1.9.3 version of the MRI Ruby interpreter. The URL below now
║ points to the new version of the license, called 'Ruby-BSD' in Gentoo.
║                                            -- Gentoo Ruby Team
╙────

AFAICS, the ebuilds >=dev-lang/ruby-1.9.3 should be changed to:
   LICENSE="|| ( Ruby-BSD BSD-2 )"
and licenses/Ruby-BSD should be revived.
Comment 1 Ulrich Müller gentoo-dev 2012-09-16 16:45:19 UTC
Fixed, with permission from graaff.
Comment 2 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2012-09-16 17:03:20 UTC
This isn't fixed.

- There are plenty of packages using Ruby's license which might have updated their license as well in the meantime.
- I didn't want to continue to use || ( Ruby-BSD BSD-2 ) as that might give people the false impression that they could use the BSD-2 exclusively which is not the case.
Comment 3 Hans de Graaff gentoo-dev 2017-07-23 07:26:10 UTC
(In reply to Alex Legler from comment #2)
> This isn't fixed.
> 
> - There are plenty of packages using Ruby's license which might have updated
> their license as well in the meantime.
> - I didn't want to continue to use || ( Ruby-BSD BSD-2 ) as that might give
> people the false impression that they could use the BSD-2 exclusively which
> is not the case.

We should probably re-check all packages that have a LICENSE containing Ruby.

It is not clear why || ( Ruby-BSD BSD-2 ) would be a problem. Most packages say that their code is licensed under the same conditions as Ruby itself, so using BSD-2 exclusively should not be a problem (both for Ruby and packages with the licensing term). Or am I misunderstanding something here?